RIPEMD160_Init(3) | OpenSSL | RIPEMD160_Init(3)

# NAME

RIPEMD160, RIPEMD160_Init, RIPEMD160_Update, RIPEMD160_Final - RIPEMD-160 hash function

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/ripemd.h>

     unsigned char *RIPEMD160(const unsigned char *d, unsigned long n,
                              unsigned char *md);

     int RIPEMD160_Init(RIPEMD160_CTX *c);
     int RIPEMD160_Update(RIPEMD160_CTX *c, const void *data, unsigned long len);
     int RIPEMD160_Final(unsigned char *md, RIPEMD160_CTX *c);

# DESCRIPTION

RIPEMD-160 is a cryptographic hash function with a 160 bit output.

RIPEMD160() computes the RIPEMD-160 message digest of the n bytes at d and places it in md (which must have space for RIPEMD160_DIGEST_LENGTH == 20 bytes of output). If md is NULL, the digest is placed in a static array.

The following functions may be used if the message is not completely stored in memory:

RIPEMD160_Init() initializes a RIPEMD160_CTX structure.

RIPEMD160_Update() can be called repeatedly with chunks of the message to be hashed (len bytes at data).

RIPEMD160_Final() places the message digest in md, which must have space for RIPEMD160_DIGEST_LENGTH == 20 bytes of output, and erases the RIPEMD160_CTX.

# RETURN VALUES

RIPEMD160() returns a pointer to the hash value.

RIPEMD160_Init(), RIPEMD160_Update() and RIPEMD160_Final() return 1 for success, 0 otherwise.

# NOTE

Applications should use the higher level functions EVP_DigestInit(3) etc. instead of calling these functions directly.

# CONFORMING TO

ISO/IEC 10118-3:2016 Dedicated Hash-Function 1 (RIPEMD-160).

# SEE ALSO

EVP_DigestInit(3)

# COPYRIGHT

Copyright 2000-2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.

2019-03-12 | 1.1.1i